'use strict';

// @importFmJsLib "Results.js"
// @importFmJsLib "Errors.js"

function ExchangeCheck() {
	this.response = {
		info: "",
		result: "",
		data: {
		}
	};	
}

ExchangeCheck.prototype.run = function(config) {
	var apiCall = ExchangeCheckAPI.checkExchangeServerSize(config["function"], config.threshold, config.edbfile, config.slvfile);
	
	if (!apiCall.result) {
		this.response.result = results.FAILING;
	}
	else
	{
		this.response.result = results.PASSING;  	
	}
	
	if(apiCall.errorCode) {
		this.response.data.errorCode = errors[apiCall.errorCode];
	}
	
	if (apiCall.StoreSizeInMB) {
		this.response.data.StoreSizeInMB = apiCall.StoreSizeInMB;
	}
	
	return this.response; 
};

function getCheck() {
	return new ExchangeCheck();
}
/*CHECKSUM: 
987f8350dff6eeb2cd539ce807aa6a1ab0c8a2a3 *C:\jenkins\workspace\FmPlugin_release_1.5.19\build\outputs\mainapp\RelWithDebInfo\Checks\check_exchange.js
*/ 
