'use strict';

// @importFmJsLib "Results.js"

function BackupCheck() {
	this.response = {
		info: "",
		result: "",
		data: {
		}
	};
}

BackupCheck.prototype.run = function(config) {
	this.response.result = results.FAILING;
	
	var isPartial = !(config.partial == "2");
	
	var apiCall = BackupAPI.backupCheck(config.checkdays, config.backupproduct, isPartial, config.count);
	
	if(apiCall.result) {
		this.response.result = results.PASSING;
	} else if(apiCall.error) {
		this.response.data.errorCode = apiCall.errorCode;
	}
	
	this.response.info = apiCall.checkInfo;
	this.response.data.jobsOk = apiCall.jobsOk;
	this.response.data.errorCount = apiCall.errorCount;

	return this.response; 
};

function getCheck() {
	return new BackupCheck();
}
/*CHECKSUM: 
104580b334313cbdd6787c3ee53d04d25ac346ca *C:\jenkins\workspace\FmPlugin_release_1.5.19\build\outputs\mainapp\RelWithDebInfo\Checks\check_backup.js
*/ 
